"""delete is_ended field from game

Revision ID: b05bc6012c4d
Revises: ce63c5bfdc89
Create Date: 2021-10-08 12:04:54.818552

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.sql.expression import text

# revision identifiers, used by Alembic.
revision = 'b05bc6012c4d'
down_revision = 'ce63c5bfdc89'
branch_labels = None
depends_on = None


def upgrade():
    connection = op.get_bind()
    connection.execute(
        text(
            "UPDATE game "
            "SET "
            "end_game_date_time= CASE"
            "  WHEN is_ended THEN move_beginning_date_time ELSE NULL "
            "END "
        )
    )

    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('game', 'is_ended')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        'game',
        sa.Column(
            'is_ended',
            sa.BOOLEAN(),
            autoincrement=False,
            nullable=True
        )
    )
    # ### end Alembic commands ###

    connection = op.get_bind()
    connection.execute(
        text(
            "UPDATE game "
            "SET "
            "is_ended= CASE"
            "  WHEN end_game_date_time=NULL THEN FALSE ELSE TRUE "
            "END "
        )
    )
